--- configure.ac	(revision 899)
+++ configure.ac	(revision 900)
@@ -940,10 +940,24 @@
 
 dnl provide KRB5 support?
 if test "x$alpine_GSSTYPE" != "xnone" ; then
-  AC_CHECK_FUNC(gss_init_sec_context,,
+  AC_SEARCH_LIBS(gss_init_sec_context,gss gssapi gssapi_krb5,
     [
+      dnl MIT-based?
+      AC_CHECK_HEADER([gssapi/gssapi_generic.h],,
+	[
+	  if test ! -d /usr/kerberos/include ; then
+	    alpine_GSSTYPE="none"
+	    alpine_gss_none_reason="header files not found"
+	  fi
+	])
+    ],
+    [
       alpine_GSSTYPE="none"
+      alpine_gss_none_reason="libraries not found"
     ])
+  if test -n "$alpine_gss_none_reason" ; then
+    AC_MSG_NOTICE([NOT including Kerberos Support: $alpine_gss_none_reason])
+  fi
 fi
 
 dnl check for tcl libraries for Web Alpine (HACKY)
